;*********************************************PROSPETTIVA 1 - 2015-07-16*********************************************
;2016-03-08 creato per generare lista coordinate per comando PROSP1 e PROSP2 per prospettiva
(defun c:xlip ()		;strumenti	lista		linee xlinea per prosp1 prosp2
 (setvar "OSMODE" 0)
 (setq a (open "c:/00/listalinee-prosp12.txt" "w"))
 (princ "Seleziona linee...")
 (setq PointObjects (ssget '((0 . "LINE"))))
 (setq num (sslength PointObjects))
 (write-line (itoa num) a)
 (setq Count 0)
  (repeat num
   (setq ptoi (cdr (assoc 10 (entget (ssname PointObjects Count)))))
   (setq ptof (cdr (assoc 11 (entget (ssname PointObjects Count)))))
;   (setq txt  (strcat "  (list (list " (rtos (car ptoi) 2 2) " " (rtos (cadr ptoi) 2 2) " " (rtos (caddr ptoi) 2 2)  ")"
;                            "(list " (rtos (car ptof) 2 2) " " (rtos (cadr ptof) 2 2) " " (rtos (caddr ptof) 2 2) "))"))
   (setq txt  (strcat "(list (list " (rtos (car ptoi) 2 2) " " (rtos (cadr ptoi) 2 2) " " (rtos (caddr ptoi) 2 2)  ")"
                            "(list " (rtos (car ptof) 2 2) " " (rtos (cadr ptof) 2 2) " " (rtos (caddr ptof) 2 2) "))"))
   (write-line txt a)
   (setq Count (1+ Count))
  )
 (close a)
)
;*********************************************PROSPETTIVA 0 - 2017-04-04*********************************************
(defun c:prosp0 ()				;disegna	assonometria, prospettiva con 0 fuochi
 ;2017-04-04 disegna nel quadrante x+y+
 ;2017-04-04 usa prima xlip, che crea file c:/00/listalinee-prosp12.txt
 ;2017-04-04 prosp0 legge direttamente questo file senza piu bisogno di copiare manualmente in prosp-list
 (command "_undo" "_begin")
 (setq pathr "C:/00/" filenamer "listalinee-prosp12" extr ".txt" filer (open (strcat pathr filenamer extr) "r"))
 (command "_-layer" "n" "prosp0" "_c" 7 "prosp0" "_s" "prosp0" "")
 (setvar "OSMODE" 0)
 (setq a 5)			;angolo asse x
 (setq b 10)			;angolo asse y
 (setq sx 1.0)			;scala xi
 (setq sy 1.0)			;scala yi
 (setq sz 1.0)			;scala zi
 (setq ox 0.0)			;offset xi
 (setq oy 0.0)			;offset yi
 (setq oz 0.0)			;offset zi
; (foreach n prosp-list (command "_point" (prosp1-conv n h d sx sy sz ox oy oz)))
; (foreach n prosp-list (command "_line" (prosp1-conv (car n) h d sx sy sz ox oy oz) (prosp1-conv (cadr n) h d sx sy sz ox oy oz) ""))
 (repeat (atoi (read-line filer))
  (setq lineobj (read-line filer))
  (command "_line" (prosp0-conv (car (eval (read lineobj))) a b sx sy sz ox oy oz) (prosp0-conv (cadr (eval (read lineobj))) a b sx sy sz ox oy oz) "")
 )
 (command "_undo" "_end")
)

(defun prosp0-conv (p1 a b sx sy sz ox oy oz)	;utility di prosp0 per convertire le coordinate da xi yi zi > xp yp
 (setq a (* (/ a 180.0) pi))
 (setq b (* (/ b 180.0) pi))
 (setq xi (car p1))
 (setq yi (cadr p1))
 (setq zi (caddr p1))
 (setq xyi (list xi yi))
 (setq xi (* sx (+ ox (car xyi))))
 (setq yi (* sy (+ oy (cadr xyi))))
 (setq zi (* sz (+ oz (caddr p1))))
 (setq xp (- (* xi (cos a)) (* yi (cos b))))
 (setq yp (+ (* xi (sin a)) (* yi (sin b)) zi))
 (setq p (list xp yp))
)

;*********************************************PROSPETTIVA 1 - 2015-07-16*********************************************
(defun c:prosp1 ()				;disegna	prospettiva centrale con 1 fuoco
 ;2017-03-31 disegna nel quadrante x+y+
 ;2017-03-31 usa prima xlip, che crea file c:/00/listalinee-prosp12.txt
 ;2017-03-31 prosp1 legge direttamente questo file senza piu bisogno di copiare manualmente in prosp-list
 (command "_undo" "_begin")
 (setq pathr "C:/00/" filenamer "listalinee-prosp12" extr ".txt" filer (open (strcat pathr filenamer extr) "r"))
 (command "_-layer" "n" "prosp1" "_c" 1 "prosp1" "_s" "prosp1" "")
 (setvar "OSMODE" 0)
 (setq h 5.5)			;altezza orizzonte (diverso da zero)
 (setq d 20.0)			;punto focale dei 45
 (setq ox 0.0)			;offset xi
 (setq oy 0.0)			;offset yi
 (setq oz 0.0)			;offset zi
; (foreach n prosp-list (command "_point" (prosp1-conv n h d ox oy oz)))
; (foreach n prosp-list (command "_line" (prosp1-conv (car n) h d ox oy oz) (prosp1-conv (cadr n) h d ox oy oz) ""))
 (repeat (atoi (read-line filer))
  (setq lineobj (read-line filer))
  (command "_line" (prosp1-conv (car (eval (read lineobj))) h d ox oy oz) (prosp1-conv (cadr (eval (read lineobj))) h d ox oy oz) "")
 )
 (command "_undo" "_end")
)

(defun prosp1-conv (p1 h d ox oy oz)	;utility di prosp1 per convertire le coordinate da xi yi zi > xp yp
 (setq xi (car p1))
 (setq yi (cadr p1))
 (setq zi (caddr p1))
 (setq xyi (list xi yi))
 (setq xi (+ ox (car xyi)))
 (setq yi (+ oy (cadr xyi)))
 (setq zi (+ oz (caddr p1)))
 (setq xp (* (- h (/ (* yi h) (+ yi d))) (/ xi h)))
 (setq yp (+ (/ (* yi h) (+ yi d)) (* zi (/ (- h (/ (* yi h) (+ yi d))) h))))
 (setq p (list xp yp))
)

;*********************************************PROSPETTIVA 2 - 2015-07-16*********************************************
(defun c:prosp2 ()				;disegna	prospettiva con 2 fuochi
 ;2017-03-31 disegna nel quadrante x+y+
 ;2017-03-31 usa prima xlip, che crea file c:/00/listalinee-prosp12.txt
 ;2017-03-31 prosp1 legge direttamente questo file senza piu bisogno di copiare manualmente in prosp-list
 (command "_undo" "_begin")
 (setq pathr "C:/00/" filenamer "listalinee-prosp12" extr ".txt" filer (open (strcat pathr filenamer extr) "r"))
 (command "_-layer" "n" "prosp2" "_c" 2 "prosp2" "_s" "prosp2" "")
 (setvar "OSMODE" 0)
 (setq h 5.4)			;altezza orizzonte
 (setq dx 5.0)			;punto focale delle x
 (setq dy 15.0)			;punto focale delle y
 (setq ox 0.0)			;offset xi
 (setq oy 0.0)			;offset yi
 (setq oz 0.01)			;offset zi
; (foreach n prosp-list (command "_point" (prosp2-conv n h dx dy ox oy oz)))
; (foreach n prosp-list (command "_line" (prosp2-conv (car n) h dx dy ox oy oz) (prosp2-conv (cadr n) h dx dy ox oy oz) ""))
 (repeat (atoi (read-line filer))
  (setq lineobj (read-line filer))
  (command "_line" (prosp2-conv (car (eval (read lineobj))) h dx dy ox oy oz) (prosp2-conv (cadr (eval (read lineobj))) h dx dy ox oy oz) "")
 )
 (command "_undo" "_end")
)

(defun prosp2-conv (p1 h dx dy ox oy oz)	;utility di prosp2 per convertire le coordinate da xi yi zi > xp yp
 (setq xi (car p1))
 (setq yi (cadr p1))
 (setq zi (caddr p1))
 (setq xyi (list xi yi))
 (setq xi (+ ox (car xyi)))
 (setq yi (+ oy (cadr xyi)))
 (setq zi (+ oz (caddr p1)))
 (setq xp (/ (- (* dy (/ (- h zi) (+ dy yi))) (* dx (/ (- h zi) (+ dx xi)))) (+ (/ (- h zi) (+ dy yi)) (/ (- h zi) (+ dx xi)))))
 (setq yp (- h (* (+ dx xp) (/ (- h zi) (+ dx xi)))))
 (setq p (list xp yp))
)

;*********************************************PROSPETTIVA 3 - 2017-04-04*********************************************
(defun c:prosp3 ()				;disegna	prospettiva con 3 fuochi
 ;2017-04-04 disegna nel quadrante x+y+
 ;2017-04-04 usa prima xlip, che crea file c:/00/listalinee-prosp12.txt
 ;2017-04-04 prosp3 legge direttamente questo file senza piu bisogno di copiare manualmente in prosp-list
 (command "_undo" "_begin")
 (setq pathr "C:/00/" filenamer "listalinee-prosp12" extr ".txt" filer (open (strcat pathr filenamer extr) "r"))
 (command "_-layer" "n" "prosp3" "_c" 3 "prosp3" "_s" "prosp3" "")
 (setvar "OSMODE" 0)
 (setq h 5.0)			;altezza orizzonte
 (setq dx 5.0)			;punto focale delle x
 (setq dy 15.0)			;punto focale delle y
 (setq dz 105.0)			;punto focale delle z
 (setq ox 0.0)			;offset xi
 (setq oy 0.0)			;offset yi
 (setq oz 0.01)			;offset zi
; (foreach n prosp-list (command "_point" (prosp3-conv n h dx dy dz ox oy oz)))
; (foreach n prosp-list (command "_line" (prosp3-conv (car n) h dx dy dz ox oy oz) (prosp3-conv (cadr n) h dx dy dz ox oy oz) ""))
 (repeat (atoi (read-line filer))
  (setq lineobj (read-line filer))
  (command "_line" (prosp3-conv (car (eval (read lineobj))) h dx dy dz ox oy oz) (prosp3-conv (cadr (eval (read lineobj))) h dx dy dz ox oy oz) "")
 )
 (command "_undo" "_end")
)

(defun prosp3-conv (p1 h dx dy dz ox oy oz)	;utility di prosp3 per convertire le coordinate da xi yi zi > xp yp
 (setq xi (+ ox (car p1)))
 (setq yi (+ oy (cadr p1)))
 (setq zi (+ oz (caddr p1)))

 (setq t1 (- 1 (/ zi dz)))
 (setq t2 (+ dx (* xi t1)))
 (setq t3 (+ dy (* yi t1)))
 (setq t4 (+ xi yi))
 (setq t5 (- h zi))
 
 (setq deltax (/ (* t1 t4 (/ t2 t3)) (+ 1 (/ t2 t3))))
 (setq deltay (- (* t1 t4) deltax))
 (setq deltaz (/ (* deltax (- h zi)) t2))

 (setq xp (- (* xi t1) deltax))
 (setq yp (+ zi deltaz))

 (setq p (list xp yp))
)

;*********************************************PROSPETTIVA 2 - 2015-07-16*********************************************
(setq prosp-list				;utility di prosp1 e prosp2 per lista linee
 (list 
  (list (list 19.72 2.00 3.89)(list 19.72 6.00 3.89))
  (list (list 19.86 2.00 2.80)(list 19.86 6.00 2.80))
  (list (list 18.79 2.00 2.58)(list 18.79 6.00 2.58))
  (list (list 20.00 2.00 2.00)(list 20.00 6.00 2.00))
  (list (list 21.00 2.00 1.00)(list 21.00 6.00 1.00))
  (list (list 20.00 2.00 7.00)(list 20.00 6.00 7.00))
  (list (list 17.00 2.00 1.00)(list 17.00 6.00 1.00))
  (list (list 17.05 2.00 1.67)(list 17.05 6.00 1.67))
  (list (list 15.27 2.00 2.39)(list 15.27 6.00 2.39))
  (list (list 15.00 2.00 7.00)(list 15.00 6.00 7.00))
  (list (list 14.00 2.00 1.00)(list 14.00 6.00 1.00))
  (list (list 13.05 2.00 1.67)(list 13.05 6.00 1.67))
  (list (list 11.27 2.00 2.39)(list 11.27 6.00 2.39))
  (list (list 11.00 2.00 7.00)(list 11.00 6.00 7.00))
  (list (list 10.00 2.00 1.00)(list 10.00 6.00 1.00))
  (list (list 7.72 2.00 3.89)(list 7.72 6.00 3.89))
  (list (list 7.86 2.00 2.80)(list 7.86 6.00 2.80))
  (list (list 6.79 2.00 2.58)(list 6.79 6.00 2.58))
  (list (list 8.00 2.00 2.00)(list 8.00 6.00 2.00))
  (list (list 9.00 2.00 1.00)(list 9.00 6.00 1.00))
  (list (list 8.00 2.00 7.00)(list 8.00 6.00 7.00))
  (list (list 5.00 2.00 1.00)(list 5.00 6.00 1.00))
  (list (list 3.95 2.00 5.10)(list 3.95 6.00 5.10))
  (list (list 3.46 2.00 5.59)(list 3.46 6.00 5.59))
  (list (list 3.11 2.00 4.50)(list 3.11 6.00 4.50))
  (list (list 2.86 2.00 3.74)(list 2.86 6.00 3.74))
  (list (list 2.37 2.00 2.61)(list 2.37 6.00 2.61))
  (list (list 3.43 2.00 3.12)(list 3.43 6.00 3.12))
  (list (list 5.00 2.00 3.00)(list 5.00 6.00 3.00))
  (list (list 4.00 2.00 4.00)(list 4.00 6.00 4.00))
  (list (list 5.00 2.00 5.00)(list 5.00 6.00 5.00))
  (list (list 3.00 2.00 7.00)(list 3.00 6.00 7.00))
  (list (list 1.00 2.00 1.00)(list 1.00 6.00 1.00))
  (list (list 15.27 6.00 2.39)(list 15.00 6.00 7.00))
  (list (list 17.05 6.00 1.67)(list 15.27 6.00 2.39))
  (list (list 14.00 6.00 1.00)(list 17.05 6.00 1.67))
  (list (list 15.00 6.00 7.00)(list 14.00 6.00 1.00))
  (list (list 19.86 6.00 2.80)(list 18.79 6.00 2.58))
  (list (list 19.72 6.00 3.89)(list 19.86 6.00 2.80))
  (list (list 18.79 6.00 2.58)(list 19.72 6.00 3.89))
  (list (list 7.86 6.00 2.80)(list 6.79 6.00 2.58))
  (list (list 7.72 6.00 3.89)(list 7.86 6.00 2.80))
  (list (list 6.79 6.00 2.58)(list 7.72 6.00 3.89))
  (list (list 3.95 6.00 5.10)(list 3.11 6.00 4.50))
  (list (list 3.46 6.00 5.59)(list 3.95 6.00 5.10))
  (list (list 3.11 6.00 4.50)(list 3.46 6.00 5.59))
  (list (list 3.43 6.00 3.12)(list 2.37 6.00 2.61))
  (list (list 2.86 6.00 3.74)(list 3.43 6.00 3.12))
  (list (list 2.37 6.00 2.61)(list 2.86 6.00 3.74))
  (list (list 20.00 6.00 2.00)(list 17.00 6.00 1.00))
  (list (list 21.00 6.00 1.00)(list 20.00 6.00 2.00))
  (list (list 20.00 6.00 7.00)(list 21.00 6.00 1.00))
  (list (list 17.00 6.00 1.00)(list 20.00 6.00 7.00))
  (list (list 11.27 6.00 2.39)(list 11.00 6.00 7.00))
  (list (list 13.05 6.00 1.67)(list 11.27 6.00 2.39))
  (list (list 10.00 6.00 1.00)(list 13.05 6.00 1.67))
  (list (list 11.00 6.00 7.00)(list 10.00 6.00 1.00))
  (list (list 8.00 6.00 2.00)(list 5.00 6.00 1.00))
  (list (list 9.00 6.00 1.00)(list 8.00 6.00 2.00))
  (list (list 8.00 6.00 7.00)(list 9.00 6.00 1.00))
  (list (list 5.00 6.00 1.00)(list 8.00 6.00 7.00))
  (list (list 5.00 6.00 3.00)(list 1.00 6.00 1.00))
  (list (list 4.00 6.00 4.00)(list 5.00 6.00 3.00))
  (list (list 5.00 6.00 5.00)(list 4.00 6.00 4.00))
  (list (list 3.00 6.00 7.00)(list 5.00 6.00 5.00))
  (list (list 1.00 6.00 1.00)(list 3.00 6.00 7.00))
  (list (list 15.27 2.00 2.39)(list 15.00 2.00 7.00))
  (list (list 17.05 2.00 1.67)(list 15.27 2.00 2.39))
  (list (list 14.00 2.00 1.00)(list 17.05 2.00 1.67))
  (list (list 15.00 2.00 7.00)(list 14.00 2.00 1.00))
  (list (list 19.86 2.00 2.80)(list 18.79 2.00 2.58))
  (list (list 19.72 2.00 3.89)(list 19.86 2.00 2.80))
  (list (list 18.79 2.00 2.58)(list 19.72 2.00 3.89))
  (list (list 7.86 2.00 2.80)(list 6.79 2.00 2.58))
  (list (list 7.72 2.00 3.89)(list 7.86 2.00 2.80))
  (list (list 6.79 2.00 2.58)(list 7.72 2.00 3.89))
  (list (list 3.95 2.00 5.10)(list 3.11 2.00 4.50))
  (list (list 3.46 2.00 5.59)(list 3.95 2.00 5.10))
  (list (list 3.11 2.00 4.50)(list 3.46 2.00 5.59))
  (list (list 3.43 2.00 3.12)(list 2.37 2.00 2.61))
  (list (list 2.86 2.00 3.74)(list 3.43 2.00 3.12))
  (list (list 2.37 2.00 2.61)(list 2.86 2.00 3.74))
  (list (list 20.00 2.00 2.00)(list 17.00 2.00 1.00))
  (list (list 21.00 2.00 1.00)(list 20.00 2.00 2.00))
  (list (list 20.00 2.00 7.00)(list 21.00 2.00 1.00))
  (list (list 17.00 2.00 1.00)(list 20.00 2.00 7.00))
  (list (list 11.27 2.00 2.39)(list 11.00 2.00 7.00))
  (list (list 13.05 2.00 1.67)(list 11.27 2.00 2.39))
  (list (list 10.00 2.00 1.00)(list 13.05 2.00 1.67))
  (list (list 11.00 2.00 7.00)(list 10.00 2.00 1.00))
  (list (list 8.00 2.00 2.00)(list 5.00 2.00 1.00))
  (list (list 9.00 2.00 1.00)(list 8.00 2.00 2.00))
  (list (list 8.00 2.00 7.00)(list 9.00 2.00 1.00))
  (list (list 5.00 2.00 1.00)(list 8.00 2.00 7.00))
  (list (list 5.00 2.00 3.00)(list 1.00 2.00 1.00))
  (list (list 4.00 2.00 4.00)(list 5.00 2.00 3.00))
  (list (list 5.00 2.00 5.00)(list 4.00 2.00 4.00))
  (list (list 3.00 2.00 7.00)(list 5.00 2.00 5.00))
  (list (list 1.00 2.00 1.00)(list 3.00 2.00 7.00))
 )
)

;*********************************************PROSPETTIVA 2 - 2015-07-16*********************************************
;SOGGIORNO
;(setq prosp-list				;utility di prosp1 e prosp2 per lista linee
; (list 
;  (list (list 19.72 2.00 3.89)(list 19.72 6.00 3.89))
;  (list (list 19.86 2.00 2.80)(list 19.86 6.00 2.80))
;  (list (list 18.79 2.00 2.58)(list 18.79 6.00 2.58))
;  (list (list 20.00 2.00 2.00)(list 20.00 6.00 2.00))
;  (list (list 21.00 2.00 1.00)(list 21.00 6.00 1.00))
;  (list (list 20.00 2.00 7.00)(list 20.00 6.00 7.00))
;  (list (list 17.00 2.00 1.00)(list 17.00 6.00 1.00))
;  (list (list 17.05 2.00 1.67)(list 17.05 6.00 1.67))
;  (list (list 15.27 2.00 2.39)(list 15.27 6.00 2.39))
;  (list (list 15.00 2.00 7.00)(list 15.00 6.00 7.00))
;  (list (list 14.00 2.00 1.00)(list 14.00 6.00 1.00))
;  (list (list 13.05 2.00 1.67)(list 13.05 6.00 1.67))
;  (list (list 11.27 2.00 2.39)(list 11.27 6.00 2.39))
;  (list (list 11.00 2.00 7.00)(list 11.00 6.00 7.00))
;  (list (list 10.00 2.00 1.00)(list 10.00 6.00 1.00))
;  (list (list 7.72 2.00 3.89)(list 7.72 6.00 3.89))
;  (list (list 7.86 2.00 2.80)(list 7.86 6.00 2.80))
;  (list (list 6.79 2.00 2.58)(list 6.79 6.00 2.58))
;  (list (list 8.00 2.00 2.00)(list 8.00 6.00 2.00))
;  (list (list 9.00 2.00 1.00)(list 9.00 6.00 1.00))
;  (list (list 8.00 2.00 7.00)(list 8.00 6.00 7.00))
;  (list (list 5.00 2.00 1.00)(list 5.00 6.00 1.00))
;  (list (list 3.95 2.00 5.10)(list 3.95 6.00 5.10))
;  (list (list 3.46 2.00 5.59)(list 3.46 6.00 5.59))
;  (list (list 3.11 2.00 4.50)(list 3.11 6.00 4.50))
;  (list (list 2.86 2.00 3.74)(list 2.86 6.00 3.74))
;  (list (list 2.37 2.00 2.61)(list 2.37 6.00 2.61))
;  (list (list 3.43 2.00 3.12)(list 3.43 6.00 3.12))
;  (list (list 5.00 2.00 3.00)(list 5.00 6.00 3.00))
;  (list (list 4.00 2.00 4.00)(list 4.00 6.00 4.00))
;  (list (list 5.00 2.00 5.00)(list 5.00 6.00 5.00))
;  (list (list 3.00 2.00 7.00)(list 3.00 6.00 7.00))
;  (list (list 1.00 2.00 1.00)(list 1.00 6.00 1.00))
;  (list (list 15.27 6.00 2.39)(list 15.00 6.00 7.00))
;  (list (list 17.05 6.00 1.67)(list 15.27 6.00 2.39))
;  (list (list 14.00 6.00 1.00)(list 17.05 6.00 1.67))
;  (list (list 15.00 6.00 7.00)(list 14.00 6.00 1.00))
;  (list (list 19.86 6.00 2.80)(list 18.79 6.00 2.58))
;  (list (list 19.72 6.00 3.89)(list 19.86 6.00 2.80))
;  (list (list 18.79 6.00 2.58)(list 19.72 6.00 3.89))
;  (list (list 7.86 6.00 2.80)(list 6.79 6.00 2.58))
;  (list (list 7.72 6.00 3.89)(list 7.86 6.00 2.80))
;  (list (list 6.79 6.00 2.58)(list 7.72 6.00 3.89))
;  (list (list 3.95 6.00 5.10)(list 3.11 6.00 4.50))
;  (list (list 3.46 6.00 5.59)(list 3.95 6.00 5.10))
;  (list (list 3.11 6.00 4.50)(list 3.46 6.00 5.59))
;  (list (list 3.43 6.00 3.12)(list 2.37 6.00 2.61))
;  (list (list 2.86 6.00 3.74)(list 3.43 6.00 3.12))
;  (list (list 2.37 6.00 2.61)(list 2.86 6.00 3.74))
;  (list (list 20.00 6.00 2.00)(list 17.00 6.00 1.00))
;  (list (list 21.00 6.00 1.00)(list 20.00 6.00 2.00))
;  (list (list 20.00 6.00 7.00)(list 21.00 6.00 1.00))
;  (list (list 17.00 6.00 1.00)(list 20.00 6.00 7.00))
;  (list (list 11.27 6.00 2.39)(list 11.00 6.00 7.00))
;  (list (list 13.05 6.00 1.67)(list 11.27 6.00 2.39))
;  (list (list 10.00 6.00 1.00)(list 13.05 6.00 1.67))
;  (list (list 11.00 6.00 7.00)(list 10.00 6.00 1.00))
;  (list (list 8.00 6.00 2.00)(list 5.00 6.00 1.00))
;  (list (list 9.00 6.00 1.00)(list 8.00 6.00 2.00))
;  (list (list 8.00 6.00 7.00)(list 9.00 6.00 1.00))
;  (list (list 5.00 6.00 1.00)(list 8.00 6.00 7.00))
;  (list (list 5.00 6.00 3.00)(list 1.00 6.00 1.00))
;  (list (list 4.00 6.00 4.00)(list 5.00 6.00 3.00))
;  (list (list 5.00 6.00 5.00)(list 4.00 6.00 4.00))
;  (list (list 3.00 6.00 7.00)(list 5.00 6.00 5.00))
;  (list (list 1.00 6.00 1.00)(list 3.00 6.00 7.00))
;  (list (list 15.27 2.00 2.39)(list 15.00 2.00 7.00))
;  (list (list 17.05 2.00 1.67)(list 15.27 2.00 2.39))
;  (list (list 14.00 2.00 1.00)(list 17.05 2.00 1.67))
;  (list (list 15.00 2.00 7.00)(list 14.00 2.00 1.00))
;  (list (list 19.86 2.00 2.80)(list 18.79 2.00 2.58))
;  (list (list 19.72 2.00 3.89)(list 19.86 2.00 2.80))
;  (list (list 18.79 2.00 2.58)(list 19.72 2.00 3.89))
;  (list (list 7.86 2.00 2.80)(list 6.79 2.00 2.58))
;  (list (list 7.72 2.00 3.89)(list 7.86 2.00 2.80))
;  (list (list 6.79 2.00 2.58)(list 7.72 2.00 3.89))
;  (list (list 3.95 2.00 5.10)(list 3.11 2.00 4.50))
;  (list (list 3.46 2.00 5.59)(list 3.95 2.00 5.10))
;  (list (list 3.11 2.00 4.50)(list 3.46 2.00 5.59))
;  (list (list 3.43 2.00 3.12)(list 2.37 2.00 2.61))
;  (list (list 2.86 2.00 3.74)(list 3.43 2.00 3.12))
;  (list (list 2.37 2.00 2.61)(list 2.86 2.00 3.74))
;  (list (list 20.00 2.00 2.00)(list 17.00 2.00 1.00))
;  (list (list 21.00 2.00 1.00)(list 20.00 2.00 2.00))
;  (list (list 20.00 2.00 7.00)(list 21.00 2.00 1.00))
;  (list (list 17.00 2.00 1.00)(list 20.00 2.00 7.00))
;  (list (list 11.27 2.00 2.39)(list 11.00 2.00 7.00))
;  (list (list 13.05 2.00 1.67)(list 11.27 2.00 2.39))
;  (list (list 10.00 2.00 1.00)(list 13.05 2.00 1.67))
;  (list (list 11.00 2.00 7.00)(list 10.00 2.00 1.00))
;  (list (list 8.00 2.00 2.00)(list 5.00 2.00 1.00))
;  (list (list 9.00 2.00 1.00)(list 8.00 2.00 2.00))
;  (list (list 8.00 2.00 7.00)(list 9.00 2.00 1.00))
;  (list (list 5.00 2.00 1.00)(list 8.00 2.00 7.00))
;  (list (list 5.00 2.00 3.00)(list 1.00 2.00 1.00))
;  (list (list 4.00 2.00 4.00)(list 5.00 2.00 3.00))
;  (list (list 5.00 2.00 5.00)(list 4.00 2.00 4.00))
;  (list (list 3.00 2.00 7.00)(list 5.00 2.00 5.00))
;  (list (list 1.00 2.00 1.00)(list 3.00 2.00 7.00))
; )
;)

;******************************************************************************************
;SOGGIORNO
;(setq prosp-list				;utility di prosp1 per lista punti
; (list 
;  (list (list 3.78 3.01 0.32)(list 3.78 3.15 0.32))
;  (list (list 3.78 0.37 2.70)(list 3.78 4.27 2.70))
;  (list (list 3.78 0.37 0.00)(list 3.78 0.37 2.70))
;  (list (list 2.66 3.93 0.32)(list 2.66 4.27 0.32))
;  (list (list 2.52 4.27 0.32)(list 2.66 4.27 0.32))
;  (list (list 0.29 4.27 2.70)(list 3.78 4.27 2.70))
;  (list (list 0.29 4.27 0.00)(list 0.29 4.27 2.70))
;  (list (list 3.78 4.27 0.00)(list 3.78 4.27 2.70))
;  (list (list 0.29 4.27 0.00)(list 3.78 4.27 0.00))
;  (list (list 3.38 3.28 1.22)(list 3.38 3.28 2.70))
;  (list (list 3.43 3.35 1.10)(list 2.86 3.92 1.10))
;  (list (list 2.79 3.87 1.22)(list 2.79 3.87 2.70))
;  (list (list 2.69 4.27 1.10)(list 2.69 3.92 1.10))
;  (list (list 2.79 4.27 1.22)(list 2.79 4.27 2.70))
;  (list (list 3.78 4.27 2.70)(list 3.78 3.28 2.70))
;  (list (list 2.79 4.27 2.70)(list 3.78 4.27 2.70))
;  (list (list 2.78 4.13 2.40)(list 2.78 4.13 2.02))
;  (list (list 2.79 4.13 2.40)(list 2.78 4.13 2.40))
;  (list (list 2.79 4.01 2.40)(list 2.79 4.13 2.40))
;  (list (list 2.78 4.01 2.40)(list 2.78 4.13 2.40))
;  (list (list 2.79 4.01 2.40)(list 2.78 4.01 2.40))
;  (list (list 2.79 4.01 2.02)(list 2.79 4.01 2.40))
;  (list (list 2.78 4.01 2.02)(list 2.79 4.01 2.02))
;  (list (list 2.78 4.01 2.02)(list 2.78 4.01 2.40))
;  (list (list 2.79 3.87 2.70)(list 2.79 4.27 2.70))
;  (list (list 3.38 3.28 2.70)(list 2.79 3.87 2.70))
;  (list (list 3.64 3.27 2.02)(list 3.52 3.27 2.02))
;  (list (list 3.64 3.27 2.40)(list 3.64 3.27 2.02))
;  (list (list 3.52 3.27 2.40)(list 3.52 3.28 2.40))
;  (list (list 3.64 3.28 2.40)(list 3.64 3.27 2.40))
;  (list (list 3.52 3.28 2.40)(list 3.64 3.28 2.40))
;  (list (list 3.52 3.27 2.40)(list 3.64 3.27 2.40))
;  (list (list 3.52 3.27 2.02)(list 3.52 3.28 2.02))
;  (list (list 3.52 3.28 2.02)(list 3.52 3.28 2.40))
;  (list (list 3.52 3.27 2.02)(list 3.52 3.27 2.40))
;  (list (list 3.78 3.28 2.70)(list 3.38 3.28 2.70))
;  (list (list 3.78 3.28 1.22)(list 3.78 3.28 2.70))
;  (list (list 3.43 3.18 1.10)(list 3.78 3.18 1.10))
;  (list (list 3.78 1.50 0.52)(list 3.78 0.99 0.52))
;  (list (list 3.78 1.50 0.03)(list 3.78 1.50 0.49))
;  (list (list 3.78 1.50 0.49)(list 3.78 1.50 0.52))
;  (list (list 3.78 1.50 0.00)(list 3.78 1.50 0.03))
;  (list (list 3.78 1.51 0.03)(list 3.78 1.51 0.49))
;  (list (list 3.78 1.51 0.49)(list 3.78 1.51 0.52))
;  (list (list 3.78 1.51 0.00)(list 3.78 1.51 0.03))
;  (list (list 3.78 3.01 0.00)(list 3.78 0.99 0.00))
;  (list (list 3.78 3.15 0.32)(list 3.44 3.15 0.32))
;  (list (list 3.33 3.01 0.52)(list 3.78 3.01 0.52))
;  (list (list 3.33 2.01 0.03)(list 3.33 2.01 0.49))
;  (list (list 3.33 1.50 0.03)(list 3.78 1.50 0.03))
;  (list (list 3.33 1.51 0.03)(list 3.78 1.51 0.03))
;  (list (list 3.33 1.51 0.00)(list 3.78 1.51 0.00))
;  (list (list 3.33 1.50 0.00)(list 3.78 1.50 0.00))
;  (list (list 3.33 1.51 0.52)(list 3.78 1.51 0.52))
;  (list (list 3.33 1.51 0.03)(list 3.33 1.51 0.49))
;  (list (list 3.33 1.51 0.00)(list 3.33 1.51 0.03))
;  (list (list 3.33 1.50 0.52)(list 3.33 0.99 0.52))
;  (list (list 3.33 1.51 0.49)(list 3.33 1.51 0.52))
;  (list (list 3.33 1.50 0.00)(list 3.33 0.99 0.00))
;  (list (list 3.33 1.50 0.03)(list 3.33 0.99 0.03))
;  (list (list 3.33 1.50 0.49)(list 3.33 1.50 0.52))
;  (list (list 3.33 1.50 0.00)(list 3.33 1.50 0.03))
;  (list (list 3.33 1.50 0.52)(list 3.78 1.50 0.52))
;  (list (list 3.75 1.02 0.52)(list 3.33 1.02 0.52))
;  (list (list 3.33 1.47 0.52)(list 3.75 1.47 0.52))
;  (list (list 3.75 1.47 0.87)(list 3.75 1.02 0.87))
;  (list (list 3.75 1.47 0.52)(list 3.75 1.02 0.52))
;  (list (list 3.78 1.50 0.87)(list 3.78 0.99 0.87))
;  (list (list 3.78 1.50 0.90)(list 3.78 1.50 0.87))
;  (list (list 3.78 1.50 0.90)(list 3.78 0.99 0.90))
;  (list (list 3.78 0.99 0.90)(list 3.78 0.99 0.87))
;  (list (list 3.75 1.02 0.87)(list 3.75 1.02 0.52))
;  (list (list 3.78 1.50 0.52)(list 3.78 1.50 0.87))
;  (list (list 3.75 1.47 0.52)(list 3.75 1.47 0.87))
;  (list (list 3.78 0.99 0.52)(list 3.78 0.99 0.87))
;  (list (list 3.33 1.50 0.49)(list 3.33 0.99 0.49))
;  (list (list 3.33 1.50 0.87)(list 3.33 1.50 0.90))
;  (list (list 3.33 0.99 0.87)(list 3.33 0.99 0.90))
;  (list (list 3.33 1.50 0.90)(list 3.33 0.99 0.90))
;  (list (list 3.33 1.50 0.87)(list 3.33 0.99 0.87))
;  (list (list 3.33 0.99 0.87)(list 3.33 0.99 0.52))
;  (list (list 3.33 1.02 0.52)(list 3.33 1.02 0.87))
;  (list (list 3.33 1.47 0.52)(list 3.33 1.47 0.87))
;  (list (list 3.33 1.50 0.52)(list 3.33 1.50 0.87))
;  (list (list 3.75 1.49 1.71)(list 3.75 1.04 1.71))
;  (list (list 3.43 1.49 1.71)(list 3.75 1.49 1.71))
;  (list (list 3.43 1.04 1.71)(list 3.75 1.04 1.71))
;  (list (list 3.78 1.52 1.71)(list 3.43 1.52 1.71))
;  (list (list 3.78 1.52 1.38)(list 3.78 1.52 1.71))
;  (list (list 3.75 1.49 1.38)(list 3.75 1.49 1.71))
;  (list (list 3.78 1.01 1.71)(list 3.45 1.01 1.71))
;  (list (list 3.75 1.04 1.71)(list 3.75 1.04 1.38))
;  (list (list 3.78 1.01 1.38)(list 3.78 1.01 1.71))
;  (list (list 3.43 1.01 1.71)(list 3.43 1.01 1.38))
;  (list (list 3.43 1.04 1.38)(list 3.43 1.04 1.71))
;  (list (list 3.75 1.02 0.87)(list 3.33 1.02 0.87))
;  (list (list 3.33 0.99 0.87)(list 3.78 0.99 0.87))
;  (list (list 3.33 0.99 0.90)(list 3.78 0.99 0.90))
;  (list (list 3.75 1.04 1.38)(list 3.43 1.04 1.38))
;  (list (list 3.75 1.49 1.38)(list 3.75 1.04 1.38))
;  (list (list 3.33 1.47 0.87)(list 3.75 1.47 0.87))
;  (list (list 3.33 1.50 0.87)(list 3.78 1.50 0.87))
;  (list (list 3.33 1.50 0.90)(list 3.78 1.50 0.90))
;  (list (list 3.43 1.49 1.38)(list 3.75 1.49 1.38))
;  (list (list 0.82 3.82 0.00)(list 0.82 3.82 0.03))
;  (list (list 0.82 4.27 0.00)(list 0.82 3.82 0.00))
;  (list (list 0.82 4.27 0.03)(list 0.82 4.27 0.00))
;  (list (list 0.82 4.27 0.52)(list 0.82 3.82 0.52))
;  (list (list 0.82 4.27 0.49)(list 0.82 4.27 0.52))
;  (list (list 0.82 4.27 0.49)(list 0.82 3.82 0.49))
;  (list (list 0.82 4.27 0.03)(list 0.82 4.27 0.49))
;  (list (list 0.82 3.82 0.03)(list 0.82 4.27 0.03))
;  (list (list 0.82 3.82 0.38)(list 0.82 3.82 0.35))
;  (list (list 0.82 3.82 0.03)(list 0.82 3.82 0.52))
;  (list (list 0.82 3.97 1.43)(list 0.82 3.97 2.07))
;  (list (list 1.52 3.94 2.07)(list 1.52 4.27 2.07))
;  (list (list 0.82 4.27 1.40)(list 1.52 4.27 1.40))
;  (list (list 1.52 3.94 1.43)(list 1.52 4.27 1.43))
;  (list (list 1.52 3.94 1.40)(list 1.52 4.27 1.40))
;  (list (list 1.52 4.27 1.40)(list 1.52 4.27 1.43))
;  (list (list 1.52 3.94 1.40)(list 1.52 3.94 1.43))
;  (list (list 0.82 3.94 1.40)(list 1.52 3.94 1.40))
;  (list (list 0.82 3.94 1.75)(list 0.82 3.97 1.75))
;  (list (list 0.82 3.94 1.40)(list 0.82 3.94 1.43))
;  (list (list 0.82 4.27 1.43)(list 0.82 4.27 1.40))
;  (list (list 0.82 3.94 1.43)(list 0.82 4.27 1.43))
;  (list (list 0.82 4.27 1.40)(list 0.82 3.94 1.40))
;  (list (list 1.52 4.27 1.43)(list 1.52 4.27 2.07))
;  (list (list 1.52 3.94 1.43)(list 1.52 3.94 2.07))
;  (list (list 0.82 4.27 2.07)(list 0.82 4.27 1.43))
;  (list (list 0.82 3.94 1.43)(list 0.82 3.94 2.07))
;  (list (list 1.52 4.27 1.43)(list 0.82 4.27 1.43))
;  (list (list 1.52 3.94 1.43)(list 0.82 3.94 1.43))
;  (list (list 1.52 3.94 1.75)(list 0.82 3.94 1.75))
;  (list (list 0.82 4.27 2.07)(list 1.52 4.27 2.07))
;  (list (list 1.52 4.27 2.07)(list 1.52 3.94 2.07))
;  (list (list 1.52 4.27 2.07)(list 1.52 4.27 2.10))
;  (list (list 1.52 4.27 2.10)(list 1.52 3.94 2.10))
;  (list (list 1.52 3.94 2.07)(list 1.52 3.94 2.10))
;  (list (list 0.82 3.94 2.07)(list 1.52 3.94 2.07))
;  (list (list 0.82 3.94 2.07)(list 0.82 3.94 2.10))
;  (list (list 0.82 4.27 2.10)(list 0.82 4.27 2.07))
;  (list (list 0.82 3.94 2.10)(list 0.82 4.27 2.10))
;  (list (list 0.82 3.94 2.07)(list 0.82 4.27 2.07))
;  (list (list 0.82 4.27 2.10)(list 1.52 4.27 2.10))
;  (list (list 1.52 3.94 2.10)(list 0.82 3.94 2.10))
;  (list (list 0.82 4.27 0.00)(list 2.52 4.27 0.00))
;  (list (list 1.52 4.27 0.03)(list 0.82 4.27 0.03))
;  (list (list 1.52 3.82 0.00)(list 1.52 3.82 0.03))
;  (list (list 0.82 3.82 0.00)(list 1.52 3.82 0.00))
;  (list (list 1.52 3.82 0.03)(list 0.82 3.82 0.03))
;  (list (list 3.44 3.15 0.32)(list 2.66 3.93 0.32))
;  (list (list 1.52 4.27 0.00)(list 1.52 4.27 0.03))
;  (list (list 1.52 4.27 0.49)(list 1.52 4.27 0.03))
;  (list (list 1.52 3.82 0.49)(list 1.52 3.82 0.03))
;  (list (list 0.82 4.27 0.49)(list 1.52 4.27 0.49))
;  (list (list 1.52 4.27 0.52)(list 0.82 4.27 0.52))
;  (list (list 1.52 3.82 0.52)(list 1.52 4.27 0.52))
;  (list (list 1.52 3.82 0.52)(list 1.52 3.82 0.49))
;  (list (list 0.82 3.82 0.52)(list 1.52 3.82 0.52))
;  (list (list 0.82 3.82 0.49)(list 1.52 3.82 0.49))
;  (list (list 3.78 0.37 0.00)(list 3.78 4.27 0.00))
;  (list (list 1.52 3.82 0.52)(list 2.52 3.82 0.52))
;  (list (list 1.52 3.82 0.00)(list 2.52 3.82 0.00))
;  (list (list 2.52 3.82 0.49)(list 1.52 3.82 0.49))
;  (list (list 1.52 4.27 0.52)(list 1.52 4.27 0.49))
;  (list (list 2.52 4.27 0.49)(list 1.52 4.27 0.49))
;  (list (list 2.52 4.27 0.52)(list 1.52 4.27 0.52))
;  (list (list 1.52 4.27 0.03)(list 2.52 4.27 0.03))
;  (list (list 1.52 3.82 0.03)(list 2.52 3.82 0.03))
;  (list (list 2.52 4.27 1.56)(list 1.52 4.27 1.56))
;  (list (list 1.52 4.07 1.56)(list 2.52 4.07 1.56))
;  (list (list 2.52 4.27 1.59)(list 1.52 4.27 1.59))
;  (list (list 1.52 4.07 1.59)(list 2.52 4.07 1.59))
;  (list (list 2.52 4.27 1.88)(list 1.52 4.27 1.88))
;  (list (list 1.52 4.07 1.88)(list 2.52 4.07 1.88))
;  (list (list 1.52 4.07 1.56)(list 1.52 4.07 1.59))
;  (list (list 1.52 4.27 1.56)(list 1.52 4.27 1.59))
;  (list (list 1.52 4.07 1.56)(list 1.52 4.27 1.56))
;  (list (list 1.52 4.27 1.59)(list 1.52 4.07 1.59))
;  (list (list 1.52 4.07 1.88)(list 1.52 4.07 1.92))
;  (list (list 1.52 4.27 1.88)(list 1.52 4.27 1.92))
;  (list (list 1.52 4.07 1.88)(list 1.52 4.27 1.88))
;  (list (list 1.52 4.27 1.92)(list 1.52 4.07 1.92))
;  (list (list 2.52 4.27 1.92)(list 1.52 4.27 1.92))
;  (list (list 2.52 4.27 1.56)(list 2.52 4.27 1.59))
;  (list (list 2.52 4.07 1.56)(list 2.52 4.27 1.56))
;  (list (list 2.52 4.07 1.56)(list 2.52 4.07 1.59))
;  (list (list 2.52 4.07 1.59)(list 2.52 4.27 1.59))
;  (list (list 2.78 4.13 2.02)(list 2.78 4.01 2.02))
;  (list (list 2.52 4.27 1.88)(list 2.52 4.27 1.92))
;  (list (list 2.52 4.07 1.88)(list 2.52 4.27 1.88))
;  (list (list 2.52 4.07 1.88)(list 2.52 4.07 1.92))
;  (list (list 2.52 4.07 1.92)(list 2.52 4.27 1.92))
;  (list (list 1.52 4.07 1.92)(list 2.52 4.07 1.92))
;  (list (list 2.86 3.92 0.38)(list 3.43 3.35 0.38))
;  (list (list 3.78 3.09 1.22)(list 3.78 3.28 1.22))
;  (list (list 3.38 3.28 1.22)(list 3.78 3.28 1.22))
;  (list (list 2.60 4.27 1.22)(list 2.79 4.27 1.22))
;  (list (list 2.52 3.82 0.52)(list 2.52 3.82 0.49))
;  (list (list 2.52 3.82 0.00)(list 2.52 3.82 0.03))
;  (list (list 2.52 4.27 0.00)(list 2.52 4.27 0.03))
;  (list (list 2.52 3.82 0.00)(list 2.52 4.27 0.00))
;  (list (list 2.52 3.82 0.03)(list 2.52 4.27 0.03))
;  (list (list 2.52 4.27 0.38)(list 2.69 4.27 0.38))
;  (list (list 2.52 4.27 0.38)(list 2.52 4.27 0.35))
;  (list (list 2.66 4.27 0.00)(list 2.66 3.93 0.00))
;  (list (list 2.52 4.27 0.32)(list 2.52 4.27 0.38))
;  (list (list 2.66 4.27 0.00)(list 2.66 4.27 0.32))
;  (list (list 2.52 4.27 0.03)(list 2.52 4.27 0.52))
;  (list (list 2.66 3.93 0.00)(list 2.66 3.93 0.32))
;  (list (list 2.52 3.82 0.03)(list 2.52 3.82 0.49))
;  (list (list 2.69 3.92 0.38)(list 2.86 3.92 0.38))
;  (list (list 2.69 4.27 0.38)(list 2.69 3.92 0.38))
;  (list (list 2.52 3.84 0.32)(list 2.52 3.84 0.38))
;  (list (list 2.52 4.27 0.38)(list 2.52 3.84 0.38))
;  (list (list 2.52 4.27 0.32)(list 2.52 3.84 0.32))
;  (list (list 2.52 3.82 0.49)(list 2.52 4.27 0.49))
;  (list (list 2.79 4.27 1.22)(list 2.79 3.87 1.22))
;  (list (list 2.60 4.27 1.22)(list 2.60 4.27 1.10))
;  (list (list 2.60 3.79 1.22)(list 2.60 4.27 1.22))
;  (list (list 2.60 4.27 1.10)(list 2.60 3.79 1.10))
;  (list (list 2.69 4.27 0.38)(list 2.69 4.27 1.10))
;  (list (list 2.69 3.92 1.10)(list 2.69 3.92 0.38))
;  (list (list 2.86 3.92 1.10)(list 2.69 3.92 1.10))
;  (list (list 2.86 3.92 0.38)(list 2.86 3.92 1.10))
;  (list (list 2.52 3.82 0.52)(list 2.52 4.27 0.52))
;  (list (list 3.30 3.09 1.10)(list 3.30 3.09 1.22))
;  (list (list 2.60 3.79 1.10)(list 2.60 3.79 1.22))
;  (list (list 3.30 3.09 1.22)(list 2.60 3.79 1.22))
;  (list (list 2.60 3.79 1.10)(list 3.30 3.09 1.10))
;  (list (list 2.52 3.84 0.38)(list 3.35 3.01 0.38))
;  (list (list 2.52 3.84 0.32)(list 3.35 3.01 0.32))
;  (list (list 2.79 3.87 1.22)(list 3.38 3.28 1.22))
;  (list (list 2.66 3.93 0.00)(list 3.44 3.15 0.00))
;  (list (list 3.78 3.09 1.22)(list 3.30 3.09 1.22))
;  (list (list 3.78 3.09 1.10)(list 3.78 3.09 1.22))
;  (list (list 3.30 3.09 1.10)(list 3.78 3.09 1.10))
;  (list (list 3.78 3.18 0.38)(list 3.78 3.18 1.10))
;  (list (list 3.43 3.35 1.10)(list 3.43 3.35 0.38))
;  (list (list 3.43 3.18 1.10)(list 3.43 3.35 1.10))
;  (list (list 3.43 3.18 0.38)(list 3.43 3.18 1.10))
;  (list (list 3.43 3.35 0.38)(list 3.43 3.18 0.38))
;  (list (list 3.43 3.01 2.07)(list 3.43 1.01 2.07))
;  (list (list 3.43 3.01 2.10)(list 3.43 1.01 2.10))
;  (list (list 3.43 3.01 1.71)(list 3.43 1.01 1.71))
;  (list (list 3.43 3.01 1.74)(list 3.43 1.01 1.74))
;  (list (list 3.43 1.49 1.38)(list 3.43 1.49 1.71))
;  (list (list 3.43 1.52 1.38)(list 3.43 1.52 1.71))
;  (list (list 3.43 1.01 1.38)(list 3.43 1.01 1.35))
;  (list (list 3.43 1.52 1.38)(list 3.43 1.01 1.38))
;  (list (list 3.43 1.52 1.35)(list 3.43 1.52 1.38))
;  (list (list 3.43 1.01 1.74)(list 3.43 1.01 2.07))
;  (list (list 3.43 1.01 2.07)(list 3.78 1.01 2.07))
;  (list (list 3.43 1.01 2.07)(list 3.43 1.01 2.10))
;  (list (list 3.78 1.52 1.38)(list 3.45 1.52 1.38))
;  (list (list 3.45 1.01 1.38)(list 3.78 1.01 1.38))
;  (list (list 3.78 1.52 1.35)(list 3.45 1.52 1.35))
;  (list (list 3.46 1.01 1.74)(list 3.46 1.01 2.07))
;  (list (list 3.78 1.52 1.35)(list 3.78 1.52 1.38))
;  (list (list 3.78 1.01 1.38)(list 3.78 1.01 1.35))
;  (list (list 3.78 1.01 1.35)(list 3.78 1.51 1.35))
;  (list (list 3.78 1.01 1.74)(list 3.78 1.01 2.07))
;  (list (list 3.78 1.01 2.07)(list 3.78 1.01 2.10))
;  (list (list 3.43 1.01 2.10)(list 3.78 1.01 2.10))
;  (list (list 3.78 1.01 1.71)(list 3.78 1.01 1.74))
;  (list (list 3.43 1.01 1.71)(list 3.43 1.01 1.74))
;  (list (list 3.43 1.01 1.74)(list 3.78 1.01 1.74))
;  (list (list 3.45 1.01 1.35)(list 3.78 1.01 1.35))
;  (list (list 3.45 1.01 1.71)(list 3.78 1.01 1.71))
;  (list (list 3.43 1.51 1.74)(list 3.43 1.51 2.07))
;  (list (list 3.43 1.52 1.35)(list 3.43 1.01 1.35))
;  (list (list 3.58 1.52 1.35)(list 3.78 1.52 1.35))
;  (list (list 3.58 1.52 1.35)(list 3.58 1.52 1.38))
;  (list (list 3.58 1.52 1.38)(list 3.78 1.52 1.38))
;  (list (list 3.46 3.01 1.74)(list 3.46 3.01 2.07))
;  (list (list 3.43 2.51 1.74)(list 3.43 2.51 2.07))
;  (list (list 3.78 3.01 1.74)(list 3.78 3.01 2.07))
;  (list (list 3.43 3.01 1.74)(list 3.43 3.01 2.07))
;  (list (list 3.78 3.01 2.07)(list 3.43 3.01 2.07))
;  (list (list 3.78 3.01 2.07)(list 3.78 3.01 2.10))
;  (list (list 3.43 3.01 2.10)(list 3.43 3.01 2.07))
;  (list (list 3.78 3.01 2.10)(list 3.43 3.01 2.10))
;  (list (list 3.78 3.01 1.71)(list 3.43 3.01 1.71))
;  (list (list 3.78 3.01 1.71)(list 3.78 3.01 1.74))
;  (list (list 3.43 3.01 1.74)(list 3.43 3.01 1.71))
;  (list (list 3.78 3.01 1.74)(list 3.43 3.01 1.74))
;  (list (list 3.78 3.01 1.35)(list 3.58 3.01 1.35))
;  (list (list 3.78 3.01 1.35)(list 3.78 3.01 1.38))
;  (list (list 3.58 3.01 1.38)(list 3.58 3.01 1.35))
;  (list (list 3.78 3.01 1.38)(list 3.58 3.01 1.38))
;  (list (list 3.43 2.01 1.74)(list 3.43 2.01 2.07))
;  (list (list 3.58 3.01 1.35)(list 3.58 1.52 1.35))
;  (list (list 3.58 3.01 1.38)(list 3.58 1.52 1.38))
;  (list (list 3.78 1.01 2.07)(list 3.78 3.01 2.07))
;  (list (list 3.78 1.01 2.10)(list 3.78 3.01 2.10))
;  (list (list 3.78 1.01 1.71)(list 3.78 3.01 1.71))
;  (list (list 3.78 1.01 1.74)(list 3.78 3.01 1.74))
;  (list (list 3.78 1.51 1.35)(list 3.78 3.01 1.35))
;  (list (list 3.78 1.01 1.38)(list 3.78 3.01 1.38))
;  (list (list 3.33 3.01 0.49)(list 3.33 1.51 0.49))
;  (list (list 3.78 1.51 0.52)(list 3.78 3.01 0.52))
;  (list (list 3.33 3.01 0.52)(list 3.33 1.51 0.52))
;  (list (list 3.33 3.01 0.00)(list 3.33 1.51 0.00))
;  (list (list 3.33 2.51 0.03)(list 3.33 2.51 0.49))
;  (list (list 3.35 3.01 0.32)(list 3.35 3.01 0.38))
;  (list (list 3.78 3.01 0.38)(list 3.78 3.01 0.32))
;  (list (list 3.35 3.01 0.38)(list 3.78 3.01 0.38))
;  (list (list 3.35 3.01 0.32)(list 3.78 3.01 0.32))
;  (list (list 3.78 3.01 0.03)(list 3.78 3.01 0.52))
;  (list (list 3.78 3.01 0.38)(list 3.78 3.18 0.38))
;  (list (list 3.43 3.18 0.38)(list 3.78 3.18 0.38))
;  (list (list 3.33 3.01 0.03)(list 3.33 3.01 0.49))
;  (list (list 3.78 3.01 0.49)(list 3.33 3.01 0.49))
;  (list (list 3.78 3.01 0.35)(list 3.78 3.01 0.38))
;  (list (list 3.33 3.01 0.52)(list 3.33 3.01 0.49))
;  (list (list 3.78 3.01 0.00)(list 3.33 3.01 0.00))
;  (list (list 3.78 3.01 0.00)(list 3.78 3.01 0.03))
;  (list (list 3.33 3.01 0.03)(list 3.33 3.01 0.00))
;  (list (list 3.78 3.01 0.03)(list 3.33 3.01 0.03))
;  (list (list 3.78 3.15 0.00)(list 3.78 3.15 0.32))
;  (list (list 3.44 3.15 0.00)(list 3.44 3.15 0.32))
;  (list (list 3.44 3.15 0.00)(list 3.78 3.15 0.00))
;  (list (list 3.36 0.99 0.03)(list 3.36 0.99 0.49))
;  (list (list 3.33 0.99 0.03)(list 3.33 0.99 0.49))
;  (list (list 3.78 0.99 0.03)(list 3.78 0.99 0.49))
;  (list (list 3.33 1.50 0.03)(list 3.33 1.50 0.49))
;  (list (list 3.78 0.99 0.49)(list 3.78 0.99 0.52))
;  (list (list 3.33 0.99 0.49)(list 3.78 0.99 0.49))
;  (list (list 3.33 0.99 0.49)(list 3.33 0.99 0.52))
;  (list (list 3.33 0.99 0.52)(list 3.78 0.99 0.52))
;  (list (list 3.78 0.99 0.00)(list 3.78 0.99 0.03))
;  (list (list 3.33 0.99 0.00)(list 3.78 0.99 0.00))
;  (list (list 3.33 0.99 0.00)(list 3.33 0.99 0.03))
;  (list (list 3.33 0.99 0.03)(list 3.78 0.99 0.03))
;  (list (list 3.33 3.01 0.03)(list 3.33 1.51 0.03))
; )
;)


